// server.cs

// Handle Required Add-ons
%errorA = ForceRequiredAddOn("Vehicle_Jeep");
%errorB = ForceRequiredAddOn("Support_Interactive_Vehicle");

if(%errorA == $Error::AddOn_NotFound)
{
	error("ERROR: Vehicle_Old_Pickup - required add-on Vehicle_Jeep not found");
	%errors++;
}
// Remove Jeep from Vehicle List if Disabled
else if(%errorA == $Error::AddOn_Disabled)
	JeepVehicle.uiName = "";

if(%errorB == $Error::AddOn_NotFound)
{
	error("ERROR: Vehicle_Old_Pickup - required add-on Support_Interactive_Vehicle not found");
	%errors++;
}
if(%errors)
	return;

exec("./Old_Pickup_Tire.cs");
exec("./Old_Pickup_Explosion.cs");
exec("./Old_Pickup_FinalExplosion.cs");
exec("./Old_Pickup_Spring.cs");
exec("./Vehicle_Old_Pickup.cs");
